define("ContactSectionV2", [],
function() {
	return {
		// Название схемы объекта раздела.
		entitySchemaName: "Contact",
		// Коллекция методов модели представления раздела.
		methods: {
			// Метод-обработчик нажатия кнопки.
			onInsertQueryContactClick: function() {
				// Создание экземпляра класса Terrasoft.InsertQuery.
				var insert = Ext.create("Terrasoft.InsertQuery", {
					// Название корневой схемы.
					rootSchemaName: "Contact"
				});
				// Установка значений-параметров Terrasoft.ParameterExpression.
				// Создается экземпляр значения-параметра и добавляется в коллекцию значений колонок.
				// Создание экземпляра значения-параметра для колонки [ФИО].
				insert.setParameterValue("Name", "Иванов Иван Иванович", Terrasoft.DataValueType.TEXT);
				// Создание экземпляра значения-параметра для колонки [Рабочий телефон].
				insert.setParameterValue("Phone", "+12 345 678 00 00", Terrasoft.DataValueType.TEXT);
				// Создание экземпляра значения-параметра для колонки [Должность].
				insert.setParameterValue("Job", "11D68189-CED6-DF11-9B2A-001D60E938C6", Terrasoft.DataValueType.GUID);
				// Запрос к серверу на обновление данных
				insert.execute(function(response) {
					// Вывод ответа от сервера в консоль браузера.
					window.console.log(response);
				});
				// Обновление данных реестра.
				this.reloadGridData();
			}
		},
		//Настройка визуализации кнопки в разделе.
		diff: /**SCHEMA_DIFF*/[
			// Метаданные для добавления в раздел пользовательской кнопки.
			{
				// Указывает на то, что выполняется операция добавления элемента на страницу.
				"operation": "insert",
				// Мета-имя родительского элемента управления, в который добавляется кнопка.
				"parentName": "ActionButtonsContainer",
				// Указывает на то, что кнопка добавляется в коллекцию элементов управления
				// родительского элемента (мета-имя которого указано в parentName).
				"propertyName": "items",
				// Мета-имя добавляемой кнопки.
				"name": "InsertQueryContactButton",
				// Дополнительные свойства элемента.
				"values": {
					// Тип добавляемого элемента - кнопка.
					itemType: Terrasoft.ViewItemType.BUTTON,
					// Привязка заголовка кнопки к локализуемой строке схемы.
					caption: { bindTo: "Resources.Strings.InsertQueryContactButtonCaption" },
					// Привязка метода-обработчика нажатия кнопки.
					click: { bindTo: "onInsertQueryContactClick" },
					"layout": {
						"column": 1,
						"row": 6,
						"colSpan": 1
					}
				}
			}
		]/**SCHEMA_DIFF*/
	};
});